Ride 4 and RPi Zero

For Raspberry Pi specific issues .. more general issues will appear in UNIX and Linux

Ride 4 and RPi Zero

Postby ray on Thu Apr 25, 2019 12:31 pm

With Ride 4.0 or 4.1 running on my windows PC, I can happily connect to Dyalog APL 17.0 running on all my Raspberry Pi's (from early Model 1, and Pi Zeros to Model 3+).

I note that in the documentation
RIDE 4 is supported on Raspberry Pi models 2 and 3 only; models Zero and 1 are not supported (the underlying libraries which RIDE is build on are not available for the Pi Zero and 1).


I assume that the documentation is only referring to running Dyalog APL on the Pi while also running (via localhost - 127.0.0.1) the "Remote IDE" locally on the Pi.

To me, the documentation seems to suggest that Ride 4.0 and 4.1 (running on any platform) cannot be used to access Dyalog running on a Pi Zero etc, when this is clearly not correct.

<Sticking tongue firmly in my cheek>
Is there a case for referring to running "RIDE" when in Local mode as "LIDE" (Local IDE).
</Sticking tongue firmly in my cheek>
Ray Cannon
Please excuse any smelling pisstakes.
User avatar
ray
 
Posts: 155
Joined: Wed Feb 24, 2010 12:24 am
Location: Blackwater, Camberley. UK

Return to Raspberry Pi

Who is online

Users browsing this forum: No registered users and 1 guest